The Package Manager Console requires PowerShell 2.0 runtime -NuGet MVC4

2117
Views
1
Answers

I have installed MVC4 in Visual Studio 2010. It installed NuGet along with it. When I try to add reference to "References" folder, by selecting "Add Library Package Reference", I get this error:

Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.
edit | flag
Mad Maddy
Asked on: Jan 28, 2012 at 2:58AM

1 Answers

106
5
106

This is because You have not installed power shell in your machine. You can know this by going to

Tools > Library Package Manager > Package Manager Console

The console will throw a error saying

Error: The Package Manager Console requires PowerShell 2.0 runtime, which is not detected on this machine.

Please install the PowerShell 2.0 from http://support.microsoft.com/kb/968929 and restart Visual Studio.

Install the Power shell and it will work fine!!

edit | flag
Gokul A
Answered on: Jan 28, 2012 at 3:05AM

Post your Answer

Search

Welcome to Ask Amoeba!
This is 100% free and interactive site for sharing professional Questions and Answers, Opensource projects, Interview questions.
Learners, beginners, Experts stop and share your knowledge and ideas!

Browse Categories

Browse Tags